<?php

return [
    [
        'name' => 'client_id',
        'title' => 'Client ID',
        'type' => 'text',
        'value' => '',
    ],
    [
        'name' => 'client_secret',
        'title' => 'Client Secret',
        'type' => 'text',
        'value' => '',
    ],
    [
        'name' => 'merchant_authorization',
        'title' => 'Merchant-Authorization',
        'type' => 'text',
        'value' => '',
    ],
    [
        'name' => 'test_mode',
        'title' => 'Включить тестовый режим',
        'type' => 'checkbox',
        'value' => '',
    ],
    [
        'name' => 'logging',
        'title' => 'Включить логирование (Тестовый режим не обязателен)',
        'type' => 'checkbox',
        'value' => '',
    ],
    [
        'name' => 'enable_fiscal',
        'title' => 'Включить фискализацию',
        'type' => 'checkbox',
        'value' => '',
    ],
    [
        'name' => 'email_fiscal',
        'title' => 'E-mail (Электронная почта для отправки фискального чека, если не указана почта пользователя.)',
        'type' => 'text',
        'value' => '',
    ],
    [
        'name' => 'payment_type_delivery_fiscal',
        'title' => 'Способ расчета для доставки',
        'type' => 'select',
        'value' => '',
        'options' => [
            [
                'value' => 'full_prepayment',
                'title' => 'Предоплата 100%',
            ],
            [
                'value' => 'prepayment',
                'title' => 'Предоплата',
            ],
            [
                'value' => 'advance',
                'title' => 'Аванс',
            ],
            [
                'value' => 'full_payment',
                'title' => 'Полный расчет',
            ],
            [
                'value' => 'partial_payment',
                'title' => 'Частичный расчет и кредит',
            ],
            [
                'value' => 'credit',
                'title' => 'Передача в кредит',
            ],
            [
                'value' => 'credit_payment',
                'title' => 'Оплата кредита',
            ],
        ],
    ],
    [
        'name' => 'measure_fiscal',
        'title' => 'Единицы измерения',
        'type' => 'select',
        'value' => '',
        'options' => [
            [
                'value' => 0,
                'title' => 'Применяется для предметов расчета, которые могут быть реализованы поштучно или единицами',
            ],
            [
                'value' => 10,
                'title' => 'Грамм',
            ],
            [
                'value' => 11,
                'title' => 'Килограмм',
            ],
            [
                'value' => 12,
                'title' => 'Тонна',
            ],
            [
                'value' => 20,
                'title' => 'Сантиметр',
            ],
            [
                'value' => 21,
                'title' => 'Дециметр',
            ],
            [
                'value' => 22,
                'title' => 'Метр',
            ],
            [
                'value' => 30,
                'title' => 'Квадратный сантиметр',
            ],
            [
                'value' => 31,
                'title' => 'Квадратный дециметр',
            ],
            [
                'value' => 32,
                'title' => 'Квадратный метр',
            ],
            [
                'value' => 40,
                'title' => 'Миллилитр',
            ],
            [
                'value' => 41,
                'title' => 'Литр',
            ],
            [
                'value' => 42,
                'title' => 'Кубический метр',
            ],
            [
                'value' => 50,
                'title' => 'Киловатт час',
            ],
            [
                'value' => 51,
                'title' => 'Гигакалория',
            ],
            [
                'value' => 70,
                'title' => 'Сутки (день)',
            ],
            [
                'value' => 71,
                'title' => 'Час',
            ],
            [
                'value' => 72,
                'title' => 'Минута',
            ],
            [
                'value' => 73,
                'title' => 'Секунда',
            ],
            [
                'value' => 80,
                'title' => 'Килобайт',
            ],
            [
                'value' => 81,
                'title' => 'Мегабайт',
            ],
            [
                'value' => 82,
                'title' => 'Гигабайт',
            ],
            [
                'value' => 83,
                'title' => 'Терабайт',
            ],
            [
                'value' => 255,
                'title' => 'Применяется при использовании иных единиц измерения',
            ],
        ],
    ],
    [
        'name' => 'tax_type_fiscal',
        'title' => 'Ставка налогообложения (Устанавливает номер налога в ККТ.)',
        'type' => 'select',
        'value' => '',
        'options' => [
            [
                'value' => 'none',
                'title' => 'Без НДС',
            ],
            [
                'value' => 'vat0',
                'title' => 'НДС по ставке 0%',
            ],
            [
                'value' => 'vat10',
                'title' => 'НДС чека по ставке 10%',
            ],
            [
                'value' => 'vat110',
                'title' => 'НДС чека по расчетной ставке 10/110',
            ],
            [
                'value' => 'vat20',
                'title' => 'НДС чека по ставке 20%',
            ],
            [
                'value' => 'vat120',
                'title' => 'НДС чека по расчетной ставке 20/120',
            ],
        ],
    ],
    [
        'name' => 'payment_type_fiscal',
        'title' => 'Способ расчета (Признак способа расчёта.)',
        'type' => 'select',
        'value' => '',
        'options' => [
            [
                'value' => 'full_prepayment',
                'title' => 'Предоплата 100%',
            ],
            [
                'value' => 'prepayment',
                'title' => 'Предоплата',
            ],
            [
                'value' => 'advance',
                'title' => 'Аванс',
            ],
            [
                'value' => 'full_payment',
                'title' => 'Полный расчет',
            ],
            [
                'value' => 'partial_payment',
                'title' => 'Частичный расчет и кредит',
            ],
            [
                'value' => 'credit',
                'title' => 'Передача в кредит',
            ],
            [
                'value' => 'credit_payment',
                'title' => 'Оплата кредита',
            ],
        ],
    ],
    [
        'name' => 'payment_subject_fiscal',
        'title' => 'Предмет расчета (Признак предмета расчёта.)',
        'type' => 'select',
        'value' => '',
        'options' => [
            [
                'value' => 1,
                'title' => 'Товар',
            ],
            [
                'value' => 2,
                'title' => 'Подакцизный товар',
            ],
            [
                'value' => 3,
                'title' => 'Работа',
            ],
            [
                'value' => 4,
                'title' => 'Услуга',
            ],
            [
                'value' => 5,
                'title' => 'Ставка азартной игры',
            ],
            [
                'value' => 6,
                'title' => 'Выигрыш азартной игры',
            ],
            [
                'value' => 7,
                'title' => 'Ставка лотереи',
            ],
            [
                'value' => 8,
                'title' => 'Выигрыш лотереи',
            ],
            [
                'value' => 9,
                'title' => 'Предоставление прав',
            ],
            [
                'value' => 10,
                'title' => 'Платеж',
            ],
            [
                'value' => 11,
                'title' => 'Агентское вознаграждение',
            ],
            [
                'value' => 12,
                'title' => 'Выплата',
            ],
            [
                'value' => 13,
                'title' => 'Иной предмет расчёта',
            ],
            [
                'value' => 14,
                'title' => 'Имущественное право',
            ],
            [
                'value' => 15,
                'title' => 'Внереализационный доход',
            ],
            [
                'value' => 16,
                'title' => 'Страховые взносы',
            ],
            [
                'value' => 17,
                'title' => 'Торговый сбор',
            ],
            [
                'value' => 18,
                'title' => 'Курортный сбор',
            ],
            [
                'value' => 19,
                'title' => 'Залог',
            ],
            [
                'value' => 20,
                'title' => 'Расход',
            ],
            [
                'value' => 21,
                'title' => 'Взносы на ОПС ИП',
            ],
            [
                'value' => 20,
                'title' => 'Расход',
            ],
            [
                'value' => 22,
                'title' => 'Взносы ОПС',
            ],
            [
                'value' => 23,
                'title' => 'Взносы на ОМС ИП',
            ],
            [
                'value' => 24,
                'title' => 'Взносы на ОМС',
            ],
            [
                'value' => 25,
                'title' => 'Взносы на ОСС',
            ],
            [
                'value' => 26,
                'title' => 'Платеж казино',
            ],
            [
                'value' => 27,
                'title' => 'Выдача денежных средств банковским платежным агентом',
            ],
            [
                'value' => 30,
                'title' => 'Подакцизный товар, подлежащий маркировке средством идентификации, не имеющий кода маркировки',
            ],
            [
                'value' => 31,
                'title' => 'Подакцизный товар, подлежащий маркировке средством идентификации, имеющий код маркировки',
            ],
            [
                'value' => 32,
                'title' => 'Товар, подлежащий маркировке средством идентификации, не имеющий кода маркировки, за исключением подакцизного товара',
            ],
            [
                'value' => 33,
                'title' => 'Товар, подлежащий маркировке средством идентификации, имеющий код маркировки, за исключением подакцизного товара',
            ],
        ],
    ],
];
